import { HTMLAttributes } from 'svelte/elements';
import { Component } from '../../internal';
import { DefaultProps, SvelteUIColor, SvelteUINumberSize, SvelteUISize } from '../../styles';

export interface ChipProps extends DefaultProps, HTMLAttributes<HTMLElement> {
	color?: SvelteUIColor;
	id?: string;
	checked?: boolean;
	disabled?: boolean;
	value?: string;
	label?: Component | string;
	radius?: SvelteUINumberSize | number;
	size?: SvelteUISize;
	type?: 'checkbox' | 'radio';
	variant?: 'outline' | 'filled';
	transitionDuration?: number;
}
